Rätsel mit Fontspec

Fragen und Probleme, die nicht den obigen Kategorien zugeordnet werden können


ryder
Forum-Fortgeschrittener
Forum-Fortgeschrittener
Beiträge: 55
Registriert: So 9. Aug 2009, 14:35

Rätsel mit Fontspec

Beitrag von ryder »

Hallo zusammen,
ich weiß nicht, ob das hier das korrekte Unterforum ist. Wenn nicht bitte verschieben :)
Seit ein paar Wochen erhalte ich den folgenden Fehler:
Logfile
Logfile
Minimalbeispiel
% !TEX TS-program = lualatex
% !TEX encoding = UTF-8 Unicode
% !TEX spellcheck = de-DE

\documentclass[fontsize=12pt, paper=a4,headings=small,%
openany, toc=chapterentrydotfill,numbers=enddot]{scrbook}
\usepackage[utf8]{luainputenc}


\usepackage{aurical}	
\usepackage{pigpen}	


\usepackage[ngerman]{babel}	
\usepackage{lipsum}


\usepackage{fontspec-luatex}
\setkomafont{descriptionlabel}{\normalfont\bfseries }
\usepackage{enumitem}

\pagestyle{plain}
\usepackage{graphicx}
\usepackage{pdfpages}
\usepackage[pass]{geometry}



\begin{document}
	
	\mainmatter	
	\lipsum[1-2]

\end{document}
Ich sehe jetzt mal keinen offensichtlichen Fehler. Die Ausgabe im PDF ist vollkommen korrekt. Stört mich also im Prinzip nicht, aber es ist dennoch ein Rätsel für mich warum \begin{document} falsch und kein gültiger Befehl sein sollte :lol:
Logfile hänge ich komlett an.

Weiß jemand Rat?

Gruß
Bernd
Dateianhänge
fontspec-test.log
Logfile
(28.81 KiB) 187-mal heruntergeladen

Stammgast

Re: Rätsel mit Fontspec

Beitrag von Stammgast »

Mir war 'fontspec-luatex' bis jetzt völlig unbekannt. Das eigentliche Problem könnte die Version sein. Hier funktioniert es auch nicht. Auf Overleaf dagegen schon. Ich habe dort das Beispiel mal laufen lassen und '\listfiles' direkt vor '\documentclass' eingefügt. In der Protokoll-Datei entsteht dann fast am Ende eine Liste aller verwendeten externen Dateien mit Angabe der Paket-Versionen. Vergleiche mal die Version von dort (s. u. Zeile 33) mit der Version von 'fontspec-luatex' in deinem TeX-System.
 *File List*
 scrbook.cls    2023/07/07 v3.41 KOMA-Script document class (book)
scrkbase.sty    2023/07/07 v3.41 KOMA-Script package (KOMA-Script-dependent basics and keyval usage)
 scrbase.sty    2023/07/07 v3.41 KOMA-Script package (KOMA-Script-independent basics and keyval usage)
scrlfile.sty    2023/07/07 v3.41 KOMA-Script package (file load hooks)
scrlfile-hook.sty    2023/07/07 v3.41 KOMA-Script package (using LaTeX hooks)
 scrlogo.sty    2023/07/07 v3.41 KOMA-Script package (logo)
  keyval.sty    2022/05/29 v1.15 key=value parser (DPC)
tocbasic.sty    2023/07/07 v3.41 KOMA-Script package (handling toc-files)
scrsize12pt.clo    2023/07/07 v3.41 KOMA-Script font size class option (12pt)
typearea.sty    2023/07/07 v3.41 KOMA-Script package (type area)
luainputenc.sty    2010/11/19 v0.973 inputenc package for LuaTeX
ifluatex.sty    2019/10/25 v1.5 ifluatex legacy package. Use iftex instead.
   iftex.sty    2022/02/03 v1.0f TeX engine tests
 ifxetex.sty    2019/10/25 v0.7 ifxetex legacy package. Use iftex instead.
luatexbase.sty    2015/10/04 v1.3 luatexbase interface to LuaTeX 
ctablestack.sty    2015/10/01 v1.0 Catcode table stable support
   lutf8.def    2010/05/10 v0.97 UTF-8 support for luainputenc
  omsenc.dfu    2022/06/07 v1.3c UTF-8 support
  ot1enc.dfu    2022/06/07 v1.3c UTF-8 support
   t1enc.dfu    2022/06/07 v1.3c UTF-8 support
  ts1enc.dfu    2022/06/07 v1.3c UTF-8 support
 aurical.sty    2006/10/12 aurical - a set of three decorative fonts with accents
  pigpen.sty    2008/12/07 v0.1 PigPen
   babel.sty    2023/07/15 v3.92 The Babel package
 ngerman.ldf    2021/02/27 v2.13 German support for babel (post-1996 orthography)
babel-ngerman.tex
  lipsum.sty    2021-09-20 v2.7 150 paragraphs of Lorem Ipsum dummy text
l3keys2e.sty    2023-02-02 LaTeX2e option processing using LaTeX3 keys
   expl3.sty    2023-06-30 L3 programming layer (loader) 
l3backend-luatex.def    2023-04-19 L3 backend support: PDF output (LuaTeX)
  lipsum.ltd
fontspec-luatex.sty    2022/01/15 v2.8a Font selection for XeLaTeX and LuaLaTeX
  xparse.sty    2023-02-02 L3 Experimental document command parser
 fontenc.sty    2021/04/29 v2.0v Standard LaTeX package
fontspec.cfg
enumitem.sty    2019/06/20 v3.9 Customized lists
graphicx.sty    2021/09/16 v1.2d Enhanced LaTeX Graphics (DPC,SPQR)
graphics.sty    2022/03/10 v1.4e Standard LaTeX Graphics (DPC,SPQR)
    trig.sty    2021/08/11 v1.11 sin cos tan (DPC)
graphics.cfg    2016/06/04 v1.11 sample graphics configuration
  luatex.def    2022/09/22 v1.2d Graphics/color driver for luatex
pdfpages.sty    2022/12/19 v0.5x Insert pages of external PDF documents (AM)
  ifthen.sty    2022/04/13 v1.1d Standard LaTeX ifthen package (DPC)
    calc.sty    2017/05/25 v4.3 Infix arithmetic (KKT,FJ)
 eso-pic.sty    2023/05/03 v3.0c eso-pic (RN)
  xcolor.sty    2022/06/12 v2.14 LaTeX color extensions (UK)
   color.cfg    2016/01/02 v1.6 sample color configuration
mathcolor.ltx
ppluatex.def    2022/12/19 v0.5x Pdfpages driver for LuaTeX (AM)
geometry.sty    2020/01/02 v5.9 Page Geometry
  ifvtex.sty    2019/10/25 v1.7 ifvtex legacy package. Use iftex instead.
  ts1cmr.fd    2023/04/13 v2.5m Standard LaTeX font definitions
supp-pdf.mkii
epstopdf-base.sty    2020-01-24 v2.11 Base part for package epstopdf
epstopdf-sys.cfg    2010/07/13 v1.3 Configuration of (r)epstopdf for TeX Live
pdflscape.sty    2022-10-27 v0.13 Display of landscape pages in PDF
pdflscape-nometadata.sty    2022-10-28 v0.13 Display of landscape pages in PDF (HO)
  lscape.sty    2020/05/28 v3.02 Landscape Pages (DPC)
 ***********

ryder
Forum-Fortgeschrittener
Forum-Fortgeschrittener
Beiträge: 55
Registriert: So 9. Aug 2009, 14:35

Re: Rätsel mit Fontspec

Beitrag von ryder »

Mein Paket ist dieses:
fontspec-luatex.sty    2024/02/13 v2.9a Font selection for XeLaTeX and LuaLaTeX
... installiert am 13. Feb. das kommt auch ungefähr mit der Zeit hin, seit dem ich den Fehler habe. Scheint ein Fehler im Paket zu sein. Habe ein Issue bei Github geöffnet. Mal sehen :)

ryder
Forum-Fortgeschrittener
Forum-Fortgeschrittener
Beiträge: 55
Registriert: So 9. Aug 2009, 14:35

Re: Rätsel mit Fontspec

Beitrag von ryder »

Ok, David Carlisle hats erklärt. fontspec-luatex darf nicht verwendet werden, das wird nur intern aufgerufen. Mein Fehler :)

Antworten